=begin pod

=TITLE class Backtrace

    class Backtrace is List { ... }

A backtrace shows the dynamic call stack, usually leading up to a point
where an exception was thrown.

It is a List of L<Backtrace::Frame> objects. Its default stringification
excludes backtrace frames that are deemed unnecessary or confusing, for
example routines like C<&die> are hidden by default.

=head1 Methods

=head2 new

    proto method new(*@, *%) {*}
    multi method new()

Creates a new backtrace, using its calling location as the origin of the
backtrace.

=head2 Str

    multi method Str(Backtrace:D:) returns Str:D:

Returns a concise string representation of the backtrace, omitting
routines marked as C<is hidden_from_backtrace>, and at the discretion of
the implementor, also some routines from the setting.

=head2 full


    multi method full(Backtrace:D:) returns Str:D:

Returns a full string representation of the backtrace, including hidden
frames, compiler-specific frames and those from the setting.

=end pod
